FUNCTION Motion( Model,n,t ) RESULT(uy)
USE Types

IMPLICIT NONE

TYPE(Model_t) :: Model

INTEGER :: n
DOUBLE PRECISION :: t, uy, x, umax, tpulse, tsys, freq

x = Model % Nodes % x(n)

! Total displacement
umax = 0.07

! Duration of the motion (umax)
freq = OL.get(Parameters/Ejection/Frequency)
tpulse = 60/freq
tsys = tpulse/6+0.15

x = Model % Nodes % x(n)

IF (t < tsys) THEN
   uy = (umax/2)*(SIN((2*t-tsys)/tsys*pi/2)+1)/2
ELSE IF (t < tpulse) THEN
   uy = umax/2
ELSE IF (t < tpulse+tsys) THEN
   uy = umax/2+(umax/2)*(SIN((2*t-tsys-2*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 4*tpulse/2) THEN
   uy = umax
ELSE IF (t < 2*tpulse+tsys) THEN
   uy = 2*umax/2+(umax/2)*(SIN((2*t-tsys-4*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 6*tpulse/2) THEN
   uy = 3*umax/2
ELSE IF (t < 3*tpulse+tsys) THEN
   uy = 3*umax/2+(umax/2)*(SIN((2*t-tsys-6*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 8*tpulse/2) THEN
   uy = 4*umax/2
ELSE IF (t < 4*tpulse+tsys) THEN
   uy = 4*umax/2+(umax/2)*(SIN((2*t-tsys-8*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 10*tpulse/2) THEN
   uy = 5*umax/2
ELSE IF (t < 5*tpulse+tsys) THEN
   uy = 5*umax/2+(umax/2)*(SIN((2*t-tsys-10*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 12*tpulse/2) THEN
   uy = 6*umax/2
ELSE IF (t < 6*tpulse+tsys) THEN
   uy = 6*umax/2+(umax/2)*(SIN((2*t-tsys-12*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 14*tpulse/2) THEN
   uy = 7*umax/2
ELSE IF (t < 7*tpulse+tsys) THEN
   uy = 7*umax/2+(umax/2)*(SIN((2*t-tsys-14*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 16*tpulse/2) THEN
   uy = 8*umax/2
ELSE IF (t < 8*tpulse+tsys) THEN
   uy = 8*umax/2+(umax/2)*(SIN((2*t-tsys-16*tpulse)/tsys*pi/2)+1)/2
ELSE IF (t < 18*tpulse/2) THEN
   uy = 9*umax/2
ELSE IF (t < 9*tpulse+tsys) THEN
   uy = 9*umax/2+(umax/2)*(SIN((2*t-tsys-18*tpulse)/tsys*pi/2)+1)/2
ELSE !IF (t < 20*tpulse/2) THEN
   uy = 10*umax/2
END IF


END FUNCTION Motion
