set style data lines
set grid
set xlabel "Time [s]"

pa2mmhg = 1./133.4
ts = 3e-3
tbatt = 0.3

set ylabel "Displacements - radial (thick) and longitudinal"
set arrow from tbatt,graph(0,0) to tbatt,graph(1,1) nohead lt 8 lw 3
plot "output.txt" u ($0*ts):41 lt 1 lw 2 t "2cm",\
     "output.txt" u ($0*ts):46 lt 2 lw 2 t "12cm",\
     "output.txt" u ($0*ts):51 lt 3 lw 2 t "22cm",\
     "output.txt" u ($0*ts):56 lt 4 lw 2 t "32cm",\
     "output.txt" u ($0*ts):42 lt 1 t "",\
     "output.txt" u ($0*ts):47 lt 2 t "",\
     "output.txt" u ($0*ts):52 lt 3 t "",\
     "output.txt" u ($0*ts):57 lt 4 t ""

set terminal aqua 1


set ytics nomirror
set y2tics
set ylabel "Longitudinal velocity fluid (thick)"
set y2label "Pressure [mmHg] (thin)"
set yrange[-2:2]
#set y2range[-60:60]
set arrow from tbatt,graph(0,0) to tbatt,graph(1,1) nohead lt 8 lw 3
plot "output.txt" u ($0*ts):2 lt 1 lw 2 t "2cm",\
     "output.txt" u ($0*ts):12 lt 2 lw 2 t "12cm",\
     "output.txt" u ($0*ts):22 lt 3 lw 2 t "22cm",\
     "output.txt" u ($0*ts):32 lt 4 lw 2 t "32cm",\
     "output.txt" u ($0*ts):($3*pa2mmhg) axis x1y2 lt 1 t "",\
     "output.txt" u ($0*ts):($13*pa2mmhg) axis x1y2 lt 2 t "",\
     "output.txt" u ($0*ts):($23*pa2mmhg) axis x1y2 lt 3 t "",\
     "output.txt" u ($0*ts):($33*pa2mmhg) axis x1y2 lt 4 t ""

set terminal aqua 2

set ytics mirror
set noy2tics
set autoscale
set xrange[0:0.3]
set y2label ""

set ylabel "Pressure [mmHg] (thin)"
plot "output.txt" u ($0*ts):($3*pa2mmhg) lt 1 t "",\
     "output.txt" u ($0*ts):($13*pa2mmhg) lt 2 t "",\
     "output.txt" u ($0*ts):($23*pa2mmhg) lt 3 t "",\
     "output.txt" u ($0*ts):($33*pa2mmhg) lt 4 t ""

set terminal aqua 3

set ylabel "Longitudinal velocity fluid (thick)"
plot "output.txt" u ($0*ts):2 lt 1 lw 2 t "2cm",\
     "output.txt" u ($0*ts):12 lt 2 lw 2 t "12cm",\
     "output.txt" u ($0*ts):22 lt 3 lw 2 t "22cm",\
     "output.txt" u ($0*ts):32 lt 4 lw 2 t "32cm"
